Debian Bug report logs - #677778
libbonobo: Please add multiarch support

version graph

Package: libbonobo; Maintainer for libbonobo is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: Goswin von Brederlow <goswin-v-b@web.de>

Date: Sat, 16 Jun 2012 18:45:01 UTC

Severity: normal

Tags: patch

Found in version 2.24.3-1

Fixed in version libbonobo/2.32.1-3

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, goswin-v-b@web.de, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#677778; Package libbonobo. (Sat, 16 Jun 2012 18:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
New Bug report received and forwarded. Copy sent to goswin-v-b@web.de, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 16 Jun 2012 18:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libbonobo: Please add multiarch support
Date: Sat, 16 Jun 2012 20:42:53 +0200
Package: libbonobo
Version: 2.24.3-1
Severity: normal

Hello:

Please make this package compatible with multiarch, as described at
<http://wiki.debian.org/Multiarch/Implementation>.

More info: http://wiki.debian.org/ReleaseGoals/MultiArch

Thanks,
Goswin


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#677778; Package libbonobo. (Sat, 16 Jun 2012 19:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 16 Jun 2012 19:03:11 GMT) Full text and rfc822 format available.

Message #10 received at 677778@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Goswin von Brederlow <goswin-v-b@web.de>, 677778@bugs.debian.org
Subject: Re: Bug#677778: libbonobo: Please add multiarch support
Date: Sat, 16 Jun 2012 21:02:54 +0200
[Message part 1 (text/plain, inline)]
On 16.06.2012 20:42, Goswin von Brederlow wrote:
> Package: libbonobo
> Version: 2.24.3-1
> Severity: normal
> 
> Hello:
> 
> Please make this package compatible with multiarch, as described at
> <http://wiki.debian.org/Multiarch/Implementation>.

I'd rather see us get rid of this package then invest time converting it
to ma


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Added indication that bug 677778 blocks 677762 Request was from Goswin von Brederlow <goswin-v-b@web.de> to control@bugs.debian.org. (Sat, 16 Jun 2012 19:06:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#677778; Package libbonobo. (Sat, 16 Jun 2012 20:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 16 Jun 2012 20:21:07 GMT) Full text and rfc822 format available.

Message #17 received at 677778@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: 677778@bugs.debian.org
Subject: Re: Bug#677778: libbonobo: Please add multiarch support
Date: Sat, 16 Jun 2012 22:19:33 +0200
Michael Biebl <biebl@debian.org> writes:

> On 16.06.2012 20:42, Goswin von Brederlow wrote:
>> Package: libbonobo
>> Version: 2.24.3-1
>> Severity: normal
>> 
>> Hello:
>> 
>> Please make this package compatible with multiarch, as described at
>> <http://wiki.debian.org/Multiarch/Implementation>.
>
> I'd rather see us get rid of this package then invest time converting it
> to ma

# apt-cache rdepends libbonobo2-0 | wc -l
91

That looks like a bigger change.

MfG
        Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#677778; Package libbonobo. (Sat, 16 Jun 2012 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 16 Jun 2012 20:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 677778@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Goswin von Brederlow <goswin-v-b@web.de>, 677778@bugs.debian.org
Subject: Re: Bug#677778: libbonobo: Please add multiarch support
Date: Sat, 16 Jun 2012 22:47:59 +0200
[Message part 1 (text/plain, inline)]
On 16.06.2012 22:19, Goswin von Brederlow wrote:
> Michael Biebl <biebl@debian.org> writes:
> 
>> On 16.06.2012 20:42, Goswin von Brederlow wrote:
>>> Package: libbonobo
>>> Version: 2.24.3-1
>>> Severity: normal
>>>
>>> Hello:
>>>
>>> Please make this package compatible with multiarch, as described at
>>> <http://wiki.debian.org/Multiarch/Implementation>.
>>
>> I'd rather see us get rid of this package then invest time converting it
>> to ma
> 
> # apt-cache rdepends libbonobo2-0 | wc -l
> 91
> 
> That looks like a bigger change.

Sure, there are still a few rdeps left.
But, to get rid of ia32-libs, we don't need to convert libbonobo to ma,
right? Or is there another pressing need to convert libbonobo?


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#677778; Package libbonobo. (Sat, 16 Jun 2012 22:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 16 Jun 2012 22:27:06 GMT) Full text and rfc822 format available.

Message #27 received at 677778@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Michael Biebl <biebl@debian.org>
Cc: Goswin von Brederlow <goswin-v-b@web.de>, 677778@bugs.debian.org
Subject: Re: Bug#677778: libbonobo: Please add multiarch support
Date: Sun, 17 Jun 2012 00:25:08 +0200
Michael Biebl <biebl@debian.org> writes:

> On 16.06.2012 22:19, Goswin von Brederlow wrote:
>> Michael Biebl <biebl@debian.org> writes:
>> 
>>> On 16.06.2012 20:42, Goswin von Brederlow wrote:
>>>> Package: libbonobo
>>>> Version: 2.24.3-1
>>>> Severity: normal
>>>>
>>>> Hello:
>>>>
>>>> Please make this package compatible with multiarch, as described at
>>>> <http://wiki.debian.org/Multiarch/Implementation>.
>>>
>>> I'd rather see us get rid of this package then invest time converting it
>>> to ma
>> 
>> # apt-cache rdepends libbonobo2-0 | wc -l
>> 91
>> 
>> That looks like a bigger change.
>
> Sure, there are still a few rdeps left.
> But, to get rid of ia32-libs, we don't need to convert libbonobo to ma,
> right? Or is there another pressing need to convert libbonobo?

We do need libbonobo:i386 for ia32-libs to keep 32bit software,
esspecially 3rd party 32bit apps, working. That means at least setting
the architecture all packages to Multi-Arch: foreign.

And as long as there are reverse depends in debian we will also need
libbonobo:amd64, which means it needs to be fully multiarch.


Converting to multiarch is usualy quite simple:
http://wiki.debian.org/Multiarch/Implementation#cdbs_with_autotools_and_debhelper

I took a first shot at it (patch below).

1) I had to move the *.server files
(debian/tmp/usr/lib/*/bonobo/servers/*.server) into the libbonobo2-0
package as they are architecture specific. But now they violate policy
8.2. If they are in the library package then they have to be unique to
the SOVERSION. They could go into
debian/tmp/usr/lib/*/bonobo-2.0/servers/*.server, which would mean
changing SERVERINFODIR in bonobo-activation/Makefile.am. Or you need
another common package that is Architecture: any.

2) I also noticed that
debian/libbonobo2-0/usr/lib/x86_64-linux-gnu/bonobo/servers/Bonobo_Sample_Echo.server
uses the wrong path now. Unlike the other files this seems not to be
generated and needs to be patched to include the multiarch dir.

3) It also depends on orbit2 being multiarch (#641615 with patch) for
debian/libbonobo2-0/usr/lib/x86_64-linux-gnu/orbit-2.0/Bonobo_module.so
to work.


As said this is just a first shot. I haven't actualy installed and
tested the package. I have no idea how to test the server files or the
orbit module. But from the looks of it everything should work.

MfG
        Goswin

----------------------------------------------------------------------
diff -u libbonobo-2.24.3/debian/control libbonobo-2.24.3/debian/control
--- libbonobo-2.24.3/debian/control
+++ libbonobo-2.24.3/debian/control
@@ -8,8 +8,8 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: David Weinehall <tao@debian.org>, Josselin Mouette <joss@debian.org>, Loic Minier <lool@dooz.org>, Sebastian Dröge <slomo@debian.org>
-Build-Depends: cdbs,
-               debhelper (>= 5),
+Build-Depends: cdbs (>= 0.4.93~),
+               debhelper (>= 8.1.3),
                gnome-pkg-tools (>= 0.10),
                libdbus-1-dev (>= 1.0.0),
                libdbus-glib-1-dev (>= 0.74),
@@ -28,6 +28,7 @@
 
 Package: libbonobo2-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: bonobo-activation (<< 1:2.4)
 Replaces: bonobo-activation (<< 1:2.4)
@@ -70,9 +71,11 @@
 
 Package: libbonobo2-0
 Architecture: any
+Multi-Arch: same
 Section: libs
 Conflicts: libbonobo-activation4 (<< 1:2.4),
            nautilus (<< 2.2.4-5)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          libbonobo2-common (= ${source:Version}),
          ${shlibs:Depends}
@@ -94,6 +97,7 @@
 
 Package: libbonobo2-bin
 Architecture: any
+Multi-Arch: foreign
 Replaces: libbonobo2-common (<< 2.20.3-1)
 Depends: ${shlibs:Depends},
          ${misc:Depends},
diff -u libbonobo-2.24.3/debian/libbonobo2-common.install libbonobo-2.24.3/debian/libbonobo2-common.install
--- libbonobo-2.24.3/debian/libbonobo2-common.install
+++ libbonobo-2.24.3/debian/libbonobo2-common.install
@@ -3,3 +3,2 @@
 debian/tmp/usr/share/locale
-debian/tmp/usr/lib/bonobo/servers/*.server
 debian/tmp/etc/bonobo-activation
diff -u libbonobo-2.24.3/debian/compat libbonobo-2.24.3/debian/compat
--- libbonobo-2.24.3/debian/compat
+++ libbonobo-2.24.3/debian/compat
@@ -1 +1 @@
-5
+8
diff -u libbonobo-2.24.3/debian/control.in libbonobo-2.24.3/debian/control.in
--- libbonobo-2.24.3/debian/control.in
+++ libbonobo-2.24.3/debian/control.in
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: @GNOME_TEAM@
-Build-Depends: cdbs,
-               debhelper (>= 5),
+Build-Depends: cdbs (>= 0.4.93~),
+               debhelper (>= 8.1.3),
                gnome-pkg-tools (>= 0.10),
                libdbus-1-dev (>= 1.0.0),
                libdbus-glib-1-dev (>= 0.74),
@@ -23,6 +23,7 @@
 
 Package: libbonobo2-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: bonobo-activation (<< 1:2.4)
 Replaces: bonobo-activation (<< 1:2.4)
@@ -65,9 +66,11 @@
 
 Package: libbonobo2-0
 Architecture: any
+Multi-Arch: same
 Section: libs
 Conflicts: libbonobo-activation4 (<< 1:2.4),
            nautilus (<< 2.2.4-5)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          libbonobo2-common (= ${source:Version}),
          ${shlibs:Depends}
@@ -89,6 +92,7 @@
 
 Package: libbonobo2-bin
 Architecture: any
+Multi-Arch: foreign
 Replaces: libbonobo2-common (<< 2.20.3-1)
 Depends: ${shlibs:Depends},
          ${misc:Depends},
diff -u libbonobo-2.24.3/debian/changelog libbonobo-2.24.3/debian/changelog
--- libbonobo-2.24.3/debian/changelog
+++ libbonobo-2.24.3/debian/changelog
@@ -1,3 +1,10 @@
+libbonobo (2.24.3-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Multiarchify.
+
+ -- Goswin von Brederlow <goswin-v-b@web.de>  Sat, 16 Jun 2012 23:17:55 +0200
+
 libbonobo (2.24.3-1) unstable; urgency=low
 
   * New upstream bugfix release.
diff -u libbonobo-2.24.3/debian/libbonobo2-0.install libbonobo-2.24.3/debian/libbonobo2-0.install
--- libbonobo-2.24.3/debian/libbonobo2-0.install
+++ libbonobo-2.24.3/debian/libbonobo2-0.install
@@ -1,4 +1,5 @@
-debian/tmp/usr/lib/lib*.so.*
-debian/tmp/usr/lib/bonobo-activation
-debian/tmp/usr/lib/bonobo/monikers/*.so
-debian/tmp/usr/lib/orbit-2.0/*.so
+debian/tmp/usr/lib/*/lib*.so.*
+debian/tmp/usr/lib/*/bonobo-activation
+debian/tmp/usr/lib/*/bonobo/monikers/*.so
+debian/tmp/usr/lib/*/orbit-2.0/*.so
+debian/tmp/usr/lib/*/bonobo/servers/*.server
diff -u libbonobo-2.24.3/debian/rules libbonobo-2.24.3/debian/rules
--- libbonobo-2.24.3/debian/rules
+++ libbonobo-2.24.3/debian/rules
@@ -13,5 +13,6 @@
-DEB_CONFIGURE_LIBEXECDIR := "\$${prefix}/lib/bonobo-activation"
+DEB_CONFIGURE_LIBEXECDIR := "\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/bonobo-activation"
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
+DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 install/libbonobo2-common::
-	rm -f $(CURDIR)/debian/tmp/usr/lib/bonobo/servers/broken.server
+	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/bonobo/servers/broken.server
diff -u libbonobo-2.24.3/debian/libbonobo2-bin.install libbonobo-2.24.3/debian/libbonobo2-bin.install
--- libbonobo-2.24.3/debian/libbonobo2-bin.install
+++ libbonobo-2.24.3/debian/libbonobo2-bin.install
@@ -3 +3 @@
-debian/tmp/usr/lib/bonobo-2.0
+debian/tmp/usr/lib/*/bonobo-2.0
diff -u libbonobo-2.24.3/debian/libbonobo2-dev.install libbonobo-2.24.3/debian/libbonobo2-dev.install
--- libbonobo-2.24.3/debian/libbonobo2-dev.install
+++ libbonobo-2.24.3/debian/libbonobo2-dev.install
@@ -1,7 +1,6 @@
 debian/tmp/usr/include
-debian/tmp/usr/lib/pkgconfig
-debian/tmp/usr/lib/*.so
-debian/tmp/usr/lib/*.la
-debian/tmp/usr/lib/*.a
+debian/tmp/usr/lib/*/pkgconfig
+debian/tmp/usr/lib/*/*.so
+debian/tmp/usr/lib/*/*.a
 debian/tmp/usr/share/gtk-doc
 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#677778; Package libbonobo. (Sat, 16 Jun 2012 22:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 16 Jun 2012 22:57:05 GMT) Full text and rfc822 format available.

Message #32 received at 677778@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Goswin von Brederlow <goswin-v-b@web.de>
Cc: 677778@bugs.debian.org
Subject: Re: Bug#677778: libbonobo: Please add multiarch support
Date: Sun, 17 Jun 2012 00:54:36 +0200
[Message part 1 (text/plain, inline)]
On 17.06.2012 00:25, Goswin von Brederlow wrote:
> Michael Biebl <biebl@debian.org> writes:

>> But, to get rid of ia32-libs, we don't need to convert libbonobo to ma,
>> right? Or is there another pressing need to convert libbonobo?
> 
> We do need libbonobo:i386 for ia32-libs to keep 32bit software,
> esspecially 3rd party 32bit apps, working. 

I don't see libbonobo in ia32-libs_20120102, nor is liborbit converted
to ma [1].

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=641615
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#677778; Package libbonobo. (Sat, 16 Jun 2012 23:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 16 Jun 2012 23:45:02 GMT) Full text and rfc822 format available.

Message #37 received at 677778@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Michael Biebl <biebl@debian.org>
Cc: Goswin von Brederlow <goswin-v-b@web.de>, 677778@bugs.debian.org
Subject: Re: Bug#677778: libbonobo: Please add multiarch support
Date: Sun, 17 Jun 2012 01:39:58 +0200
Michael Biebl <biebl@debian.org> writes:

> On 17.06.2012 00:25, Goswin von Brederlow wrote:
>> Michael Biebl <biebl@debian.org> writes:
>
>>> But, to get rid of ia32-libs, we don't need to convert libbonobo to ma,
>>> right? Or is there another pressing need to convert libbonobo?
>> 
>> We do need libbonobo:i386 for ia32-libs to keep 32bit software,
>> esspecially 3rd party 32bit apps, working. 
>
> I don't see libbonobo in ia32-libs_20120102, nor is liborbit converted
> to ma [1].

Sorry, should have been specific and said ia32-libs-gtk.

And yes, orbit2 also isn't converted and you could set your bug as being
blocked by it.

But the orbit2 includes a patch so you can build a local multiarch
orbit2 package and test a multiarch libbonobo. That way they can go in
close together. No need to wait with fixing libbonobo till orbit2 is
fixed in the archive.

Ia32-libs and ia32-libs-gtk have to go multiarch in wheezy or be
removed. So there is a high pressure to fix the remaining 10 out of ~200
packages that block this. Orbit2 will probably be NMUed this weekend
given how long the patch has been sitting in the BTS.

MfG
        Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#677778; Package libbonobo. (Sun, 17 Jun 2012 00:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 17 Jun 2012 00:36:06 GMT) Full text and rfc822 format available.

Message #42 received at 677778@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Goswin von Brederlow <goswin-v-b@web.de>, 677778@bugs.debian.org
Subject: Re: Bug#677778: libbonobo: Please add multiarch support
Date: Sun, 17 Jun 2012 02:33:08 +0200
[Message part 1 (text/plain, inline)]
On 17.06.2012 01:39, Goswin von Brederlow wrote:
> Michael Biebl <biebl@debian.org> writes:
> 
>> On 17.06.2012 00:25, Goswin von Brederlow wrote:
>>> Michael Biebl <biebl@debian.org> writes:
>>
>>>> But, to get rid of ia32-libs, we don't need to convert libbonobo to ma,
>>>> right? Or is there another pressing need to convert libbonobo?
>>>
>>> We do need libbonobo:i386 for ia32-libs to keep 32bit software,
>>> esspecially 3rd party 32bit apps, working. 
>>
>> I don't see libbonobo in ia32-libs_20120102, nor is liborbit converted
>> to ma [1].
> 
> Sorry, should have been specific and said ia32-libs-gtk.

Okay.

> And yes, orbit2 also isn't converted and you could set your bug as being
> blocked by it.
> 
> But the orbit2 includes a patch so you can build a local multiarch
> orbit2 package and test a multiarch libbonobo. That way they can go in
> close together. No need to wait with fixing libbonobo till orbit2 is
> fixed in the archive.

I no longer use any package which uses liborbit, which makes testing a
bit harder. This is also why I'm a bit reluctant to change the package
at this point of the release cycle.

If there is a realistic chance that ia32-lib(-gtk) will be converted to
multiarch, then I'll try to have a look.

> Ia32-libs and ia32-libs-gtk have to go multiarch in wheezy or be
> removed. So there is a high pressure to fix the remaining 10 out of ~200

Are there tracking bugs for ia32-libs and ia32-libs-gtk (or a
corresponding usertag)?

> packages that block this. Orbit2 will probably be NMUed this weekend
> given how long the patch has been sitting in the BTS.

I guess that includes libidl0, a rdep of liborbit2?


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#677778; Package libbonobo. (Sun, 17 Jun 2012 10:42:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 17 Jun 2012 10:42:40 GMT) Full text and rfc822 format available.

Message #47 received at 677778@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: 677778@bugs.debian.org
Subject: Re: Bug#677778: libbonobo: Please add multiarch support
Date: Sun, 17 Jun 2012 12:41:40 +0200
Michael Biebl <biebl@debian.org> writes:

> On 17.06.2012 01:39, Goswin von Brederlow wrote:
>> Michael Biebl <biebl@debian.org> writes:
>> 
>>> On 17.06.2012 00:25, Goswin von Brederlow wrote:
>>>> Michael Biebl <biebl@debian.org> writes:
>>>
>>>>> But, to get rid of ia32-libs, we don't need to convert libbonobo to ma,
>>>>> right? Or is there another pressing need to convert libbonobo?
>>>>
>>>> We do need libbonobo:i386 for ia32-libs to keep 32bit software,
>>>> esspecially 3rd party 32bit apps, working. 
>>>
>>> I don't see libbonobo in ia32-libs_20120102, nor is liborbit converted
>>> to ma [1].
>> 
>> Sorry, should have been specific and said ia32-libs-gtk.
>
> Okay.
>
>> And yes, orbit2 also isn't converted and you could set your bug as being
>> blocked by it.
>> 
>> But the orbit2 includes a patch so you can build a local multiarch
>> orbit2 package and test a multiarch libbonobo. That way they can go in
>> close together. No need to wait with fixing libbonobo till orbit2 is
>> fixed in the archive.
>
> I no longer use any package which uses liborbit, which makes testing a
> bit harder. This is also why I'm a bit reluctant to change the package
> at this point of the release cycle.
>
> If there is a realistic chance that ia32-lib(-gtk) will be converted to
> multiarch, then I'll try to have a look.
>
>> Ia32-libs and ia32-libs-gtk have to go multiarch in wheezy or be
>> removed. So there is a high pressure to fix the remaining 10 out of ~200
>
> Are there tracking bugs for ia32-libs and ia32-libs-gtk (or a
> corresponding usertag)?

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=677741
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=677762

Note that there are a number of NMUs in the delayed queue so the list
looks longer than it actualy is.

>> packages that block this. Orbit2 will probably be NMUed this weekend
>> given how long the patch has been sitting in the BTS.
>
> I guess that includes libidl0, a rdep of liborbit2?

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=641614

Note that libidl0 does not need to be multiarch for liborbit2 to be
multiarch unless I'm mistaken. Libbonobo only has this requirement
because it provides a plugin for orbit2 and orbit2 has to learn to
search for plugins in the multiarch dir before libbonobo can move its
plugin there.

MfG
        Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#677778; Package libbonobo. (Tue, 17 Jul 2012 06:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 17 Jul 2012 06:27:03 GMT) Full text and rfc822 format available.

Message #52 received at 677778@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <677778@bugs.debian.org>
Subject: Re: libbonobo: Please add multiarch support
Date: Mon, 16 Jul 2012 23:16:45 -0700
[Message part 1 (text/plain, inline)]
Package: libbonobo
Version: 2.24.3-1
Followup-For: Bug #677778
User: ubuntu-devel@lists.ubuntu.com
Usertags: quantal ubuntu-patch

Hi there,

The attached patch has been uploaded to Ubuntu quantal to add multiarch
support for libbonobo.  As Goswin notes, there is still a fair amount of
binary-only 32-bit software using libbonobo; so despite the fact that this
lib is intended to be obsolete, it's still beneficial to users to have this
package converted to multiarch.

Note that there are some versioned package relationships introduced in this
patch; the versions have been set assuming that this bug and bug #641615 are
resolved in SRU.  Feel free to adjust as necessary.

Changelog from the Ubuntu version:

  * Rebuild with multi-arch support (LP: #977947)
  * Add versioned dependency on the version of liborbit2 that will look
    in the multiarch path for its modules.
  * Drop the .la file which is no longer used.


Thanks for considering the patch.
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[libbonobo_2.32.1-0ubuntu2.debdiff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#677778; Package libbonobo. (Sun, 22 Jul 2012 22:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 677778@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 22 Jul 2012 22:45:05 GMT) Full text and rfc822 format available.

Message #57 received at 677778@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Steve Langasek <steve.langasek@canonical.com>, 677778@bugs.debian.org
Subject: Re: Bug#677778: libbonobo: Please add multiarch support
Date: Mon, 23 Jul 2012 00:13:04 +0200
Hi,

Le lundi 16 juillet 2012 à 23:16 -0700, Steve Langasek a écrit : 
> The attached patch has been uploaded to Ubuntu quantal to add multiarch
> support for libbonobo.  As Goswin notes, there is still a fair amount of
> binary-only 32-bit software using libbonobo; so despite the fact that this
> lib is intended to be obsolete, it's still beneficial to users to have this
> package converted to multiarch.

Thanks for the patch.

However I’m curious as to whether making the bonobo-activation-server
binary “m-a: same” works in the case of having both 32-bit and 64-bit
binaries using it.

The CORBA protocol is architecture-independent, however the activation
server will enable servers depending on the architecture the first
activation server is started with.

This is the reason why until now this hasn’t been done. If you have
conclusive tests indicating this actually works, that would be very
interesting.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Added tag(s) patch. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Fri, 24 Aug 2012 11:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#677778; Package libbonobo. (Sun, 25 Nov 2012 19:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 25 Nov 2012 19:30:10 GMT) Full text and rfc822 format available.

Message #64 received at 677778@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: 677778@bugs.debian.org
Cc: <joss@debian.org>, <steve.langasek@canonical.com>, Josselin@frosties, Langasek@frosties, Mouette@frosties, Steve@frosties
Subject: Conversion of libbonobo to multiarch
Date: Sun, 25 Nov 2012 20:22:57 +0100
Hi,

this bug is still blocking the ia32-libs-gtk multiarch transition that
really needs to go into wheezy. The only issue with the patch from the
bugreport seems to be a question about making it "m-a: same".

Joss: "m-a: same" allows future packages to specify a dependency of
"bonobo-activation-server:any" for cases where the architecture of
the activation server is irelevant to the depending package. This
feature won't be usable in wheezy. Also, worst case, if it is wrong
then future packages must not use the "*:any" syntax. So this is
benign. Packages must test this works before setting "*:any".

Steve: As author of the patch please consider NMUing this patch so we 
can get ia32-libs-gtk unstuck.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#677778; Package libbonobo. (Sun, 25 Nov 2012 21:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 25 Nov 2012 21:00:09 GMT) Full text and rfc822 format available.

Message #69 received at 677778@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Goswin von Brederlow <goswin-v-b@web.de>, 677778@bugs.debian.org
Subject: Re: Bug#677778: Conversion of libbonobo to multiarch
Date: Sun, 25 Nov 2012 21:57:53 +0100
[Message part 1 (text/plain, inline)]
On 25.11.2012 20:22, Goswin von Brederlow wrote:
> Hi,
> 
> this bug is still blocking the ia32-libs-gtk multiarch transition that
> really needs to go into wheezy. The only issue with the patch from the
> bugreport seems to be a question about making it "m-a: same".
> 
> Joss: "m-a: same" allows future packages to specify a dependency of
> "bonobo-activation-server:any" for cases where the architecture of
> the activation server is irelevant to the depending package. This
> feature won't be usable in wheezy. Also, worst case, if it is wrong
> then future packages must not use the "*:any" syntax. So this is
> benign. Packages must test this works before setting "*:any".
> 
> Steve: As author of the patch please consider NMUing this patch so we 
> can get ia32-libs-gtk unstuck.
> 

As much as I want to see the ia32-libs* packages go away, have you seen
Joss' comment on this. Please do not blindly NMU before this question
hasn't been answered.

Michael


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=677778#57
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#677778; Package libbonobo. (Sun, 25 Nov 2012 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 25 Nov 2012 21:33:03 GMT) Full text and rfc822 format available.

Message #74 received at 677778@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Goswin von Brederlow <goswin-v-b@web.de>
Cc: 677778@bugs.debian.org, steve.langasek@canonical.com
Subject: Re: Conversion of libbonobo to multiarch
Date: Sun, 25 Nov 2012 22:30:12 +0100
Hi,

Le dimanche 25 novembre 2012 à 20:22 +0100, Goswin von Brederlow a
écrit : 
> this bug is still blocking the ia32-libs-gtk multiarch transition that
> really needs to go into wheezy. The only issue with the patch from the
> bugreport seems to be a question about making it "m-a: same".
> 
> Joss: "m-a: same" allows future packages to specify a dependency of
> "bonobo-activation-server:any" for cases where the architecture of
> the activation server is irelevant to the depending package. This
> feature won't be usable in wheezy. Also, worst case, if it is wrong
> then future packages must not use the "*:any" syntax. So this is
> benign. Packages must test this works before setting "*:any".

What is not clear in the “I object to this patch as is” sentence?

I fail to see the point in migrating bonobo to multi-arch if the
resulting packages only work for one architecture. You are going to
achieve zilch.

I agree it would be nice to have it in wheezy but it is non-trivial work
and low on my to-do list compared to polishing GNOME 3.4.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#677778; Package libbonobo. (Tue, 04 Dec 2012 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 04 Dec 2012 11:15:03 GMT) Full text and rfc822 format available.

Message #79 received at 677778@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Josselin Mouette <joss@debian.org>
Cc: 677778@bugs.debian.org, steve.langasek@canonical.com
Subject: Re: Conversion of libbonobo to multiarch
Date: Tue, 4 Dec 2012 12:13:03 +0100
On Sun, Nov 25, 2012 at 10:30:12PM +0100, Josselin Mouette wrote:
> Hi,
> 
> Le dimanche 25 novembre 2012 à 20:22 +0100, Goswin von Brederlow a
> écrit : 
> > this bug is still blocking the ia32-libs-gtk multiarch transition that
> > really needs to go into wheezy. The only issue with the patch from the
> > bugreport seems to be a question about making it "m-a: same".
> > 
> > Joss: "m-a: same" allows future packages to specify a dependency of
> > "bonobo-activation-server:any" for cases where the architecture of
> > the activation server is irelevant to the depending package. This
> > feature won't be usable in wheezy. Also, worst case, if it is wrong
> > then future packages must not use the "*:any" syntax. So this is
> > benign. Packages must test this works before setting "*:any".
> 
> What is not clear in the ???I object to this patch as is??? sentence?

Maybe the fact that you didn't say "I object to this patch as is" [1].

What you did was raise a question about bonobo-activation-server being
m-a: same (as opposed to not being multiarch at all), which I tried to
answere.

Any other concerns?
 
> I fail to see the point in migrating bonobo to multi-arch if the
> resulting packages only work for one architecture. You are going to
> achieve zilch.
> 
> I agree it would be nice to have it in wheezy but it is non-trivial work
> and low on my to-do list compared to polishing GNOME 3.4.
> 
> Cheers,

The point would be to make libbonobo:amd64 and libbonobo:i386 coinstallable
and therefore support 32bit packages that (directly or indirectly) depend
on libbonobo without the need to remove all 64bit packages depending on it.

For the past ~10 years ia32-libs(-gtk) has had libbonobo:i386
installed with biarch hacks and duct tape. In all that time there
has been no complaints that I'm aware of about the
bonobo-activation-server starting things for the wrong architecture.
So fully multiarchifying that component indeed has no high priority.
It either already works or isn't used by relevant 32bit software.

But making libbonobo:i386 installable has real benefits to users.
As for bonobo-activation-server, worst case, as I see it, will be that
the user will have the choice to make it work in 32bit or in 64bit
but not both. Unless you have concerns that the patch will break bonobo
in a purely mono-arch environment ...

MfG
	Goswin

--
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=677778



Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Sat, 23 Nov 2013 21:24:12 GMT) Full text and rfc822 format available.

Notification sent to Goswin von Brederlow <goswin-v-b@web.de>:
Bug acknowledged by developer. (Sat, 23 Nov 2013 21:24:12 GMT) Full text and rfc822 format available.

Message #84 received at 677778-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 677778-close@bugs.debian.org
Subject: Bug#677778: fixed in libbonobo 2.32.1-3
Date: Sat, 23 Nov 2013 21:21:10 +0000
Source: libbonobo
Source-Version: 2.32.1-3

We believe that the bug you reported is fixed in the latest version of
libbonobo, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677778@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated libbonobo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 22 Nov 2013 12:15:47 +0100
Source: libbonobo
Binary: libbonobo2-common libbonobo2-dev libbonobo2-0 libbonobo2-bin
Architecture: source all amd64
Version: 2.32.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 libbonobo2-0 - Bonobo CORBA interfaces library
 libbonobo2-bin - Bonobo CORBA interfaces library -- support binaries
 libbonobo2-common - Bonobo CORBA interfaces library -- support files
 libbonobo2-dev - Bonobo CORBA interfaces library -- development files
Closes: 677778
Changes: 
 libbonobo (2.32.1-3) unstable; urgency=low
 .
   * Migrate to multi-arch. Closes: #677778. Based on the Ubuntu work.
     + Bump debhelper compat level.
     + Make runtime and development MA: same, -common is MA: foreign.
     + Require a multi-arch orbit2.
     + Update libdir.
     + Move server files to libbonobo2-0 and libbonobo2-bin.
     + 04_multiarch_compat_path.patch: new patch. Use configuration file
       to maintain compatibility with earlier versions.
     + 05_multiarch_temp_path.patch: new patch. Use different paths for
       lock/IOR files, so that bonobo applications from different
       architectures work completely independently from each other. It
       would be theoretically possible to make applications use
       components from other architectures, but bonobo was not designed
       this way and is deprecated upstream, so let’s keep things working
       the way they do.
     + Pass the multiarch triplet through a -D flag for the benefit of
       the latter patch.
     + Bump shlibs to take the new servers directory into account.
     + 06_sample_paths.patch: new patch. Fix installation paths for the
       example to make them work with multiarch.
   * Drop *.la files.
Checksums-Sha1: 
 bca51d4454c5db9d56593a5b6527f801d9795c8d 1692 libbonobo_2.32.1-3.dsc
 c3e4ccbf778057bc4f20fcd9168706b7600d6c96 12912 libbonobo_2.32.1-3.debian.tar.gz
 efb80aa2f308f4af29121ed3c781c85564737513 242908 libbonobo2-common_2.32.1-3_all.deb
 5cd8def0741b4327fd58cf76a24e038eeb0af715 611278 libbonobo2-dev_2.32.1-3_amd64.deb
 cae5bf2bb2c0e62446276618bec901954fd289c9 274432 libbonobo2-0_2.32.1-3_amd64.deb
 a59f5762b922e9283ee7b3cfa3c92cf7b5e98d5d 95024 libbonobo2-bin_2.32.1-3_amd64.deb
Checksums-Sha256: 
 b98308a5ec3c00be73a164a44c209af08d07e927e24243dace241532a14d5be7 1692 libbonobo_2.32.1-3.dsc
 0bd2e1f2540cfefcc7398c65bd557a683ffd53aa482f59ee45f2fa20ae54d715 12912 libbonobo_2.32.1-3.debian.tar.gz
 6d960f09e07de7d54748eca6a3129a83d34e99ae61fd0468c15f381e09a8d917 242908 libbonobo2-common_2.32.1-3_all.deb
 744017e44f6d0e7cc59b5e9c687662c44daada439a4709bffb91cc8a59c11533 611278 libbonobo2-dev_2.32.1-3_amd64.deb
 fc9eb1fb5f32a57678f62ae132224f5e971ec26c03ed2efc309c8f4656df9aba 274432 libbonobo2-0_2.32.1-3_amd64.deb
 c10ac7d694d69d1b10e6cb1362e8707166276bda8a7eb8b65605972c2f04ab4e 95024 libbonobo2-bin_2.32.1-3_amd64.deb
Files: 
 640e2d3b3a2d787e16a25ca35a079893 1692 gnome optional libbonobo_2.32.1-3.dsc
 96096000736f88050f0651f7ac188a60 12912 gnome optional libbonobo_2.32.1-3.debian.tar.gz
 ff954b4bf7ab37611c86c68802bd0944 242908 gnome optional libbonobo2-common_2.32.1-3_all.deb
 46317039050e011edab9f5063e043a6c 611278 libdevel optional libbonobo2-dev_2.32.1-3_amd64.deb
 3cb6f06d3ebfb15d87ccd726c93fbe52 274432 libs optional libbonobo2-0_2.32.1-3_amd64.deb
 78d47e5eb9666f1a556a5fecd9df5487 95024 gnome optional libbonobo2-bin_2.32.1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iD8DBQFSkQ5lrSla4ddfhTMRAox4AJ4mdL4nwU3VpvkpRd0bV5hTDNFL1gCfRxgt
fUJzmK2CnERbt7SpZHM50mI=
=p8L3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 Dec 2013 07:48:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:48:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.